<?php

namespace ShineSoftware\Constriv\Controller\Main;

use Magento\Framework\App\Action\Context;
use Magento\Quote\Model\QuoteFactory;
use Psr\Log\LoggerInterface;

class Failure extends AbstractMain {

    public function __construct(Context $context, QuoteFactory $modelQuoteFactory, LoggerInterface $logLoggerInterface) {

        parent::__construct($context, $modelQuoteFactory, $logLoggerInterface);
    }

    public function execute() {
        $this->_logger->debug(__METHOD__ . " (" . __LINE__ . ") - the bank server replies with these parameters: " . json_encode($this->getRequest()->getParams()), null, 'shinesoftware_constriv.log');
        $this->_logger->debug(__METHOD__ . " (" . __LINE__ . ") - Redirect the user at the magento failure page!", null, 'shinesoftware_constriv.log');
        Mage::app()->getFrontController()->getResponse()->setRedirect($this->_url->getBaseUrl() . 'checkout/onepage/failure');
    }

}
