<?php

namespace ShineSoftware\Constriv\Helper;

use Magento\Framework\App\ObjectManager;
use Magento\Payment\Helper\Data as HelperData;

class Data extends HelperData {

    public function getExtensionVersion($gateway = null) {
        if (!empty($gateway)) {
            $constriv = ObjectManager::getInstance()->create('constriv/gateways_' . $gateway);
            return $constriv->getVersion();
        } else {
            return (string) @Mage::getConfig()->getNode()->modules->ShineSoftware_Constriv->version;
        }
    }

}

;
